#ifndef _X_LEVENTPRIV_H
#define _X_LEVENTPRIV_H

#define NUM_MSE_TOTAL 64

typedef struct {
    int		current;
    CARD32	lastEvent;
    CARD32	expires;
	char	*dev_dir;
	char	*dev_prefix;
	char	*dev_name;
	char	*dev_uniq;
	char    *found_device;
    int		count;
    unsigned char data[NUM_MSE_TOTAL];
	int		show_device_info;
	int		show_events;
} mousePrivRec, *mousePrivPtr;

static pointer SetupProc(pointer module, pointer options, int *errmaj, int *errmin);
static void TearDownProc(pointer p);
static InputInfoPtr LeventPreInit(InputDriverPtr drv, IDevPtr dev, int flags);
static void LeventReadInput(InputInfoPtr pInfo);
static void LeventCtrl(DeviceIntPtr device, PtrCtrl *ctrl);
static int LeventProc(DeviceIntPtr device, int what);
static Bool LeventConvert(InputInfoPtr pInfo, int first, int num, int v0, int v1, int v2, int v3, int v4, int v5, int *x, int *y);
static void FlushButtons(MouseDevPtr pMse);

#endif /* _X_LEVENTPRIV_H */
